Netguru
=======

This contains a solution of the Netguru's recruiment task.

# Local development

To unit test locally, just run:
```bash
docker-compose up -d unittest
```

To run locally just run:
```bash
docker-compose up -d run_local
```

# Production

## Links


## Deployment

Deployment is handled automatically via a
[CI script](.gitlab-ci.yml).

Deployment is done to a Docker Swarm platform.

### Configuration

You need to provide your settings in following environment variables:

* DB_HOST (default is *postgres*)
* DB_USER (default is *postgres*)
* DB_PASS (default is *postgres*)
* DB_NAME (default is *postgres*)
* DB_PORT (default is *5432*)

You should also pick a env called *SECRET_KEY*
it should be a random sequence of characters. If you don't 
provide it, a reasonably default value is supplied,
but since it has already been used it isn't safe anymore.
**CHANGE IT!**

### Volumes

The application needs a volume marked at 
`/data` to store files. Because storing 
files in a database is an antipattern.
