from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include, re_path

from shares import views

urlpatterns = [
    path('accounts/', include('django.contrib.auth.urls')),
    path('accounts/profile', views.add_share),
    re_path(r'shares/(?P<share_id>[0-9]+)$',views.view_share),
    path('admin/', admin.site.urls),
] + static('/static/', document_root='/app/media/')
